diff --git a/gcc/diagnostics/html-sink.cc b/gcc/diagnostics/html-sink.cc
index 5b80de15a633..0785046b5ae5 100644
--- a/gcc/diagnostics/html-sink.cc
+++ b/gcc/diagnostics/html-sink.cc
@@ -111,7 +111,7 @@ class html_builder
 public:
   friend class html_sink_buffer;
 
-  html_builder (diagnostic_context &context,
+  html_builder (context &dc,
 		pretty_printer &pp,
 		const line_maps *line_maps,
 		const html_generation_options &html_gen_opts);
@@ -182,7 +182,7 @@ private:
   add_graph (const digraphs::digraph &dg,
 	     xml::element &parent_element);
 
-  diagnostic_context &m_context;
+  context &m_context;
   pretty_printer *m_printer;
   const line_maps *m_line_maps;
   html_generation_options m_html_gen_opts;
@@ -401,11 +401,11 @@ struct html_doctypedecl : public xml::doctypedecl
 
 /* html_builder's ctor.  */
 
-html_builder::html_builder (diagnostic_context &context,
+html_builder::html_builder (context &dc,
 			    pretty_printer &pp,
 			    const line_maps *line_maps,
 			    const html_generation_options &html_gen_opts)
-: m_context (context),
+: m_context (dc),
   m_printer (&pp),
   m_line_maps (line_maps),
   m_html_gen_opts (html_gen_opts),
@@ -420,7 +420,7 @@ html_builder::html_builder (diagnostic_context &context,
 {
   gcc_assert (m_line_maps);
 
-  if (auto client_data_hooks = context.get_client_data_hooks ())
+  if (auto client_data_hooks = dc.get_client_data_hooks ())
     m_logical_loc_mgr = client_data_hooks->get_logical_location_manager ();
 
   m_document = std::make_unique<xml::document> ();
@@ -1086,8 +1086,8 @@ html_builder::make_element_for_diagnostic (const diagnostic_info &diagnostic,
       if (s.line)
 	{
 	  add_labelled_value (xp, "line", "Line", std::to_string (s.line), false);
-	  diagnostic_column_policy column_policy (m_context);
-	  int converted_column = column_policy.converted_column (s);
+	  column_policy col_policy (m_context);
+	  int converted_column = col_policy.converted_column (s);
 	  if (converted_column >= 0)
 	    add_labelled_value (xp, "column", "Column",
 				std::to_string (converted_column),
@@ -1134,7 +1134,7 @@ html_builder::make_element_for_diagnostic (const diagnostic_info &diagnostic,
       html_path_label_writer event_label_writer (xp, *this, *path,
 						 event_id_prefix);
 
-      diagnostic_source_print_policy dspp (m_context);
+      source_print_policy dspp (m_context);
       print_path_as_html (xp, *path, m_context, &event_label_writer,
 			  dspp);
 
@@ -1236,7 +1236,7 @@ html_builder::make_element_for_metadata (const metadata &m)
   return span_metadata;
 }
 
-/* Implementation of diagnostic_context::m_diagrams.m_emission_cb
+/* Implementation of diagnostics::context::m_diagrams.m_emission_cb
    for HTML output.  */
 
 void
@@ -1404,11 +1404,11 @@ public:
   html_builder &get_builder () { return m_builder; }
 
 protected:
-  html_sink (diagnostic_context &context,
+  html_sink (context &dc,
 	     const line_maps *line_maps,
 	     const html_generation_options &html_gen_opts)
-  : sink (context),
-    m_builder (context, *get_printer (), line_maps, html_gen_opts),
+  : sink (dc),
+    m_builder (dc, *get_printer (), line_maps, html_gen_opts),
     m_buffer (nullptr)
   {}
 
@@ -1419,11 +1419,11 @@ protected:
 class html_file_sink : public html_sink
 {
 public:
-  html_file_sink (diagnostic_context &context,
+  html_file_sink (context &dc,
 		  const line_maps *line_maps,
 		  const html_generation_options &html_gen_opts,
 		  output_file output_file_)
-  : html_sink (context, line_maps, html_gen_opts),
+  : html_sink (dc, line_maps, html_gen_opts),
     m_output_file (std::move (output_file_))
   {
     gcc_assert (m_output_file.get_open_file ());
@@ -1451,18 +1451,18 @@ private:
 
 /* Attempt to open BASE_FILE_NAME.html for writing.
    Return a non-null output_file,
-   or return a null output_file and complain to CONTEXT
+   or return a null output_file and complain to DC
    using LINE_MAPS.  */
 
 output_file
-open_html_output_file (diagnostic_context &context,
+open_html_output_file (context &dc,
 		       line_maps *line_maps,
 		       const char *base_file_name)
 {
   if (!base_file_name)
     {
       rich_location richloc (line_maps, UNKNOWN_LOCATION);
-      context.emit_diagnostic_with_group
+      dc.emit_diagnostic_with_group
 	(DK_ERROR, richloc, nullptr, 0,
 	 "unable to determine filename for HTML output");
       return output_file ();
@@ -1475,7 +1475,7 @@ open_html_output_file (diagnostic_context &context,
   if (!outf)
     {
       rich_location richloc (line_maps, UNKNOWN_LOCATION);
-      context.emit_diagnostic_with_group
+      dc.emit_diagnostic_with_group
 	(DK_ERROR, richloc, nullptr, 0,
 	 "unable to open %qs for HTML output: %m",
 	 filename.get ());
@@ -1485,13 +1485,13 @@ open_html_output_file (diagnostic_context &context,
 }
 
 std::unique_ptr<sink>
-make_html_sink (diagnostic_context &context,
+make_html_sink (context &dc,
 		const line_maps &line_maps,
 		const html_generation_options &html_gen_opts,
 		output_file output_file_)
 {
   auto sink
-    = std::make_unique<html_file_sink> (context,
+    = std::make_unique<html_file_sink> (dc,
 					&line_maps,
 					html_gen_opts,
 					std::move (output_file_));
@@ -1599,10 +1599,10 @@ private:
   class html_buffered_sink : public html_sink
   {
   public:
-    html_buffered_sink (diagnostic_context &context,
+    html_buffered_sink (context &dc,
 			const line_maps *line_maps,
 			const html_generation_options &html_gen_opts)
-    : html_sink (context, line_maps, html_gen_opts)
+    : html_sink (dc, line_maps, html_gen_opts)
     {
     }
     bool machine_readable_stderr_p () const final override
@@ -1615,7 +1615,7 @@ private:
 };
 
 /* Test of reporting a diagnostic at UNKNOWN_LOCATION to a
-   diagnostic_context and examining the generated XML document.
+   diagnostics::context and examining the generated XML document.
    Verify various basic properties. */
 
 static void
diff --git a/gcc/diagnostics/html-sink.h b/gcc/diagnostics/html-sink.h
index 67a2565db94e..d86bde813548 100644
--- a/gcc/diagnostics/html-sink.h
+++ b/gcc/diagnostics/html-sink.h
@@ -46,22 +46,22 @@ struct html_generation_options
 };
 
 extern diagnostics::output_file
-open_html_output_file (diagnostic_context &context,
+open_html_output_file (context &dc,
 		       line_maps *line_maps,
 		       const char *base_file_name);
 
 extern std::unique_ptr<sink>
-make_html_sink (diagnostic_context &context,
+make_html_sink (context &dc,
 		const line_maps &line_maps,
 		const html_generation_options &html_gen_opts,
-		diagnostics::output_file output_file_);
+		output_file output_file_);
 
 extern void
 print_path_as_html (xml::printer &xp,
-		    const diagnostics::paths::path &path,
-		    diagnostic_context &dc,
+		    const paths::path &path,
+		    context &dc,
 		    html_label_writer *event_label_writer,
-		    const diagnostic_source_print_policy &dspp);
+		    const source_print_policy &dspp);
 
 } // namespace diagnostics
 
diff --git a/gcc/diagnostics/lazy-paths.cc b/gcc/diagnostics/lazy-paths.cc
index c842f7e71406..c30386f0b174 100644
--- a/gcc/diagnostics/lazy-paths.cc
+++ b/gcc/diagnostics/lazy-paths.cc
@@ -129,12 +129,12 @@ test_intraprocedural_path (pretty_printer *event_pp)
 		"double `free'");
 }
 
-/* Implementation of diagnostic_option_manager for which all
+/* Implementation of diagnostics::option_manager for which all
    options are disabled, for use in selftests.
    Note that this is *not* called for diagnostic_option_id (0), which
    means "always warn"  */
 
-class all_warnings_disabled : public diagnostic_option_manager
+class all_warnings_disabled : public diagnostics::option_manager
 {
 public:
   int option_enabled_p (diagnostic_option_id) const final override
diff --git a/gcc/diagnostics/output-file.h b/gcc/diagnostics/output-file.h
index 09df417e8a62..f93638793341 100644
--- a/gcc/diagnostics/output-file.h
+++ b/gcc/diagnostics/output-file.h
@@ -94,7 +94,7 @@ public:
   const char *get_filename () const { return m_filename.get (); }
 
   static output_file
-  try_to_open (diagnostic_context &context,
+  try_to_open (context &dc,
 	       line_maps *line_maps,
 	       const char *base_file_name,
 	       const char *extension,
diff --git a/gcc/diagnostics/output-spec.cc b/gcc/diagnostics/output-spec.cc
index 6a468dc570c3..ecfa8e7ca610 100644
--- a/gcc/diagnostics/output-spec.cc
+++ b/gcc/diagnostics/output-spec.cc
@@ -75,7 +75,7 @@ public:
 
     virtual std::unique_ptr<sink>
     make_sink (const context &ctxt,
-	       diagnostic_context &dc,
+	       diagnostics::context &dc,
 	       const char *unparsed_arg,
 	       const scheme_name_and_params &parsed_arg) const = 0;
 
@@ -148,7 +148,7 @@ public:
 
   std::unique_ptr<sink>
   make_sink (const context &ctxt,
-	     diagnostic_context &dc,
+	     diagnostics::context &dc,
 	     const char *unparsed_arg,
 	     const scheme_name_and_params &parsed_arg);
 
@@ -165,7 +165,7 @@ public:
 
   std::unique_ptr<sink>
   make_sink (const context &ctxt,
-	     diagnostic_context &dc,
+	     diagnostics::context &dc,
 	     const char *unparsed_arg,
 	     const scheme_name_and_params &parsed_arg) const final override;
 };
@@ -177,7 +177,7 @@ public:
 
   std::unique_ptr<sink>
   make_sink (const context &ctxt,
-	     diagnostic_context &dc,
+	     diagnostics::context &dc,
 	     const char *unparsed_arg,
 	     const scheme_name_and_params &parsed_arg) const final override;
 
@@ -197,7 +197,7 @@ public:
 
   std::unique_ptr<sink>
   make_sink (const context &ctxt,
-	     diagnostic_context &dc,
+	     diagnostics::context &dc,
 	     const char *unparsed_arg,
 	     const scheme_name_and_params &parsed_arg) const final override;
 };
@@ -306,7 +306,7 @@ parse (const context &ctxt, const char *unparsed_arg)
 
 std::unique_ptr<sink>
 context::parse_and_make_sink (const char *unparsed_arg,
-			      diagnostic_context &dc)
+			      diagnostics::context &dc)
 {
   auto parsed_arg = parse (*this, unparsed_arg);
   if (!parsed_arg)
@@ -338,7 +338,7 @@ output_factory::get_scheme_handler (const std::string &scheme_name)
 
 std::unique_ptr<sink>
 output_factory::make_sink (const context &ctxt,
-			   diagnostic_context &dc,
+			   diagnostics::context &dc,
 			   const char *unparsed_arg,
 			   const scheme_name_and_params &parsed_arg)
 {
@@ -363,7 +363,7 @@ output_factory::make_sink (const context &ctxt,
 
 std::unique_ptr<sink>
 text_scheme_handler::make_sink (const context &ctxt,
-				diagnostic_context &dc,
+				diagnostics::context &dc,
 				const char *unparsed_arg,
 				const scheme_name_and_params &parsed_arg) const
 {
@@ -424,7 +424,7 @@ text_scheme_handler::make_sink (const context &ctxt,
 
 std::unique_ptr<sink>
 sarif_scheme_handler::make_sink (const context &ctxt,
-				 diagnostic_context &dc,
+				 diagnostics::context &dc,
 				 const char *unparsed_arg,
 				 const scheme_name_and_params &parsed_arg) const
 {
@@ -553,7 +553,7 @@ make_sarif_serialization_object (enum sarif_serialization_kind kind)
 
 std::unique_ptr<sink>
 html_scheme_handler::make_sink (const context &ctxt,
-				diagnostic_context &dc,
+				diagnostics::context &dc,
 				const char *unparsed_arg,
 				const scheme_name_and_params &parsed_arg) const
 {
@@ -692,7 +692,7 @@ struct parser_test
   class test_spec_context : public diagnostics::output_spec::dc_spec_context
   {
   public:
-    test_spec_context (diagnostic_context &dc,
+    test_spec_context (diagnostics::context &dc,
 		       line_maps *location_mgr,
 		       location_t loc,
 		       const char *option_name)
diff --git a/gcc/diagnostics/output-spec.h b/gcc/diagnostics/output-spec.h
index 9212efd7f062..dd9541f99e47 100644
--- a/gcc/diagnostics/output-spec.h
+++ b/gcc/diagnostics/output-spec.h
@@ -35,7 +35,7 @@ class context
  public:
   std::unique_ptr<sink>
   parse_and_make_sink (const char *,
-		       diagnostic_context &dc);
+		       diagnostics::context &dc);
 
   void
   report_error (const char *gmsgid, ...) const
@@ -87,7 +87,7 @@ protected:
 struct dc_spec_context : public output_spec::context
 {
 public:
-  dc_spec_context (diagnostic_context &dc,
+  dc_spec_context (diagnostics::context &dc,
 		   line_maps *affected_location_mgr,
 		   line_maps *control_location_mgr,
 		   location_t loc,
@@ -107,7 +107,7 @@ public:
     m_dc.end_group ();
   }
 
-  diagnostic_context &m_dc;
+  diagnostics::context &m_dc;
   line_maps *m_control_location_mgr;
   location_t m_loc;
 };
diff --git a/gcc/diagnostics/paths-output.cc b/gcc/diagnostics/paths-output.cc
index 5cf61ceb10bf..c409cce14cc8 100644
--- a/gcc/diagnostics/paths-output.cc
+++ b/gcc/diagnostics/paths-output.cc
@@ -67,7 +67,7 @@ public:
   {
   }
 
-  path_print_policy (const diagnostic_context &dc)
+  path_print_policy (const diagnostics::context &dc)
   : m_source_policy (dc)
   {
   }
@@ -78,11 +78,11 @@ public:
     return m_source_policy.get_diagram_theme ();
   }
 
-  const diagnostic_source_print_policy &
+  const diagnostics::source_print_policy &
   get_source_policy () const { return m_source_policy; }
 
 private:
-  diagnostic_source_print_policy m_source_policy;
+  diagnostics::source_print_policy m_source_policy;
 };
 
 /* Subclass of range_label for showing a particular event
@@ -599,7 +599,7 @@ struct event_range
   {
     location_t initial_loc = m_initial_event.get_location ();
 
-    diagnostic_context &dc = text_output.get_context ();
+    diagnostics::context &dc = text_output.get_context ();
 
     /* Emit a span indicating the filename (and line/column) if the
        line has changed relative to the last call to
@@ -611,7 +611,7 @@ struct event_range
 	  (line_table, initial_loc, LOCATION_ASPECT_CARET);
 	if (exploc.file != LOCATION_FILE (dc.m_last_location))
 	  {
-	    diagnostic_location_print_policy loc_policy (text_output);
+	    diagnostics::location_print_policy loc_policy (text_output);
 	    loc_policy.print_text_span_start (dc, pp, exploc);
 	  }
       }
@@ -653,7 +653,7 @@ struct event_range
      call to diagnostic_show_locus_as_html.  */
 
   void print_as_html (xml::printer &xp,
-		      diagnostic_context &dc,
+		      diagnostics::context &dc,
 		      diagnostics::source_effect_info *effect_info,
 		      html_label_writer *event_label_writer)
   {
@@ -669,7 +669,7 @@ struct event_range
 	  (line_table, initial_loc, LOCATION_ASPECT_CARET);
 	if (exploc.file != LOCATION_FILE (dc.m_last_location))
 	  {
-	    diagnostic_location_print_policy loc_policy (dc);
+	    diagnostics::location_print_policy loc_policy (dc);
 	    loc_policy.print_html_span_start (dc, xp, exploc);
 	  }
       }
@@ -1044,7 +1044,7 @@ public:
   }
 
   void
-  print_swimlane_for_event_range_as_html (diagnostic_context &dc,
+  print_swimlane_for_event_range_as_html (diagnostics::context &dc,
 					  xml::printer &xp,
 					  html_label_writer *event_label_writer,
 					  event_range *range,
@@ -1152,7 +1152,7 @@ print_path_summary_as_text (const path_summary &ps,
 
 static void
 print_path_summary_as_html (const path_summary &ps,
-			    diagnostic_context &dc,
+			    diagnostics::context &dc,
 			    xml::printer &xp,
 			    html_label_writer *event_label_writer,
 			    bool show_depths)
@@ -1385,14 +1385,14 @@ diagnostics::text_sink::print_path (const path &path_)
 void
 diagnostics::print_path_as_html (xml::printer &xp,
 				 const path &path_,
-				 diagnostic_context &dc,
+				 context &dc,
 				 html_label_writer *event_label_writer,
-				 const diagnostic_source_print_policy &dspp)
+				 const source_print_policy &dspp)
 {
   path_print_policy policy (dc);
   const bool check_rich_locations = true;
   const bool colorize = false;
-  const diagnostic_source_printing_options &source_printing_opts
+  const source_printing_options &source_printing_opts
     = dspp.get_options ();
   const bool show_event_links = source_printing_opts.show_event_links_p;
   path_summary summary (policy,
diff --git a/gcc/diagnostics/sarif-sink.cc b/gcc/diagnostics/sarif-sink.cc
index 81493330745a..31b6cfe6c677 100644
--- a/gcc/diagnostics/sarif-sink.cc
+++ b/gcc/diagnostics/sarif-sink.cc
@@ -753,7 +753,7 @@ class sarif_builder
 public:
   friend class sarif_sink_buffer;
 
-  sarif_builder (diagnostic_context &context,
+  sarif_builder (diagnostics::context &dc,
 		 pretty_printer &printer,
 		 const line_maps *line_maps,
 		 std::unique_ptr<sarif_serialization_format> serialization_format,
@@ -820,7 +820,7 @@ public:
     return m_current_code_flow;
   }
 
-  diagnostic_context &get_context () const { return m_context; }
+  diagnostics::context &get_context () const { return m_context; }
   pretty_printer *get_printer () const { return m_printer; }
   token_printer &get_token_printer () { return m_token_printer; }
   enum sarif_version get_version () const { return m_sarif_gen_opts.m_version; }
@@ -950,7 +950,7 @@ private:
   std::unique_ptr<json::object>
   make_stack_from_backtrace ();
 
-  diagnostic_context &m_context;
+  diagnostics::context &m_context;
   pretty_printer *m_printer;
   const line_maps *m_line_maps;
   sarif_token_printer m_token_printer;
@@ -1062,10 +1062,10 @@ sarif_invocation::add_notification_for_ice (const diagnostic_info &diagnostic,
 void
 sarif_invocation::prepare_to_flush (sarif_builder &builder)
 {
-  const diagnostic_context &context = builder.get_context ();
+  const context &dc = builder.get_context ();
 
   /* "executionSuccessful" property (SARIF v2.1.0 section 3.20.14).  */
-  if (context.execution_failed_p ())
+  if (dc.execution_failed_p ())
     m_success = false;
   set_bool ("executionSuccessful", m_success);
 
@@ -1074,7 +1074,7 @@ sarif_invocation::prepare_to_flush (sarif_builder &builder)
 
   /* Call client hook, allowing it to create a custom property bag for
      this object (SARIF v2.1.0 section 3.8) e.g. for recording time vars.  */
-  if (auto client_data_hooks = context.get_client_data_hooks ())
+  if (auto client_data_hooks = dc.get_client_data_hooks ())
     client_data_hooks->add_sarif_invocation_properties (*this);
 
   // "endTimeUtc" property (SARIF v2.1.0 section 3.20.8);
@@ -1652,19 +1652,19 @@ sarif_thread_flow::add_location ()
 
 /* sarif_builder's ctor.  */
 
-sarif_builder::sarif_builder (diagnostic_context &context,
+sarif_builder::sarif_builder (diagnostics::context &dc,
 			      pretty_printer &printer,
 			      const line_maps *line_maps,
 			      std::unique_ptr<sarif_serialization_format> serialization_format,
 			      const sarif_generation_options &sarif_gen_opts)
-: m_context (context),
+: m_context (dc),
   m_printer (&printer),
   m_line_maps (line_maps),
   m_token_printer (*this),
   m_logical_loc_mgr (nullptr),
   m_invocation_obj
     (std::make_unique<sarif_invocation> (*this,
-					 context.get_original_argv ())),
+					 dc.get_original_argv ())),
   m_results_array (new json::array ()),
   m_cur_group_result (nullptr),
   m_seen_any_relative_paths (false),
@@ -1674,7 +1674,7 @@ sarif_builder::sarif_builder (diagnostic_context &context,
     (std::make_unique<sarif_array_of_unique<sarif_logical_location>> ()),
   m_run_graphs
     (std::make_unique<sarif_array_of_unique<sarif_graph>> ()),
-  m_tabstop (context.m_tabstop),
+  m_tabstop (dc.m_tabstop),
   m_serialization_format (std::move (serialization_format)),
   m_sarif_gen_opts (sarif_gen_opts),
   m_next_result_idx (0),
@@ -1683,7 +1683,7 @@ sarif_builder::sarif_builder (diagnostic_context &context,
   gcc_assert (m_line_maps);
   gcc_assert (m_serialization_format);
 
-  if (auto client_data_hooks = context.get_client_data_hooks ())
+  if (auto client_data_hooks = dc.get_client_data_hooks ())
     m_logical_loc_mgr = client_data_hooks->get_logical_location_manager ();
 }
 
@@ -1883,7 +1883,7 @@ sarif_builder::on_report_diagnostic (const diagnostic_info &diagnostic,
     }
 }
 
-/* Implementation of diagnostic_context::m_diagrams.m_emission_cb
+/* Implementation of diagnostics::context::m_diagrams.m_emission_cb
    for SARIF output.  */
 
 void
@@ -2267,7 +2267,7 @@ sarif_builder::make_location_object (sarif_location_manager *loc_mgr,
     std::unique_ptr<sarif_multiformat_message_string>
     render (const sarif_builder &builder) const final override
     {
-      diagnostic_context dc;
+      diagnostics::context dc;
       diagnostic_initialize (&dc, 0);
       dc.m_source_printing.enabled = true;
       dc.m_source_printing.colorize_source_p = false;
@@ -2277,7 +2277,7 @@ sarif_builder::make_location_object (sarif_location_manager *loc_mgr,
       rich_location my_rich_loc (m_richloc);
       my_rich_loc.set_escape_on_output (true);
 
-      diagnostic_source_print_policy source_policy (dc);
+      source_print_policy source_policy (dc);
       dc.set_escape_format (m_escape_format);
       text_sink text_output (dc);
       source_policy.print (*text_output.get_printer (),
@@ -2378,7 +2378,7 @@ sarif_builder::make_location_object (sarif_location_manager *loc_mgr,
 /* If WHERE was #included from somewhere, add a worklist item
    to LOC_MGR to lazily add a location for the #include location,
    and relationships between it and the LOCATION_OBJ.
-   Compare with diagnostic_context::report_current_module, but rather
+   Compare with diagnostics::context::report_current_module, but rather
    than iterating the current chain, we add the next edge and iterate
    in the worklist, so that edges are only added once.  */
 
@@ -3940,12 +3940,12 @@ public:
   sarif_result &get_result (size_t idx) { return m_builder.get_result (idx); }
 
 protected:
-  sarif_sink (diagnostic_context &context,
+  sarif_sink (context &dc,
 	      const line_maps *line_maps,
 	      std::unique_ptr<sarif_serialization_format> serialization_format,
 	      const sarif_generation_options &sarif_gen_opts)
-  : sink (context),
-    m_builder (context, *get_printer (), line_maps,
+  : sink (dc),
+    m_builder (dc, *get_printer (), line_maps,
 	       std::move (serialization_format), sarif_gen_opts),
     m_buffer (nullptr)
   {}
@@ -3957,12 +3957,12 @@ protected:
 class sarif_stream_sink : public sarif_sink
 {
 public:
-  sarif_stream_sink (diagnostic_context &context,
+  sarif_stream_sink (context &dc,
 		     const line_maps *line_maps,
 		     std::unique_ptr<sarif_serialization_format> serialization_format,
 		     const sarif_generation_options &sarif_gen_opts,
 		     FILE *stream)
-  : sarif_sink (context, line_maps,
+  : sarif_sink (dc, line_maps,
 		std::move (serialization_format), sarif_gen_opts),
     m_stream (stream)
   {
@@ -3982,12 +3982,12 @@ private:
 class sarif_file_sink : public sarif_sink
 {
 public:
-  sarif_file_sink (diagnostic_context &context,
+  sarif_file_sink (context &dc,
 		   const line_maps *line_maps,
 		   std::unique_ptr<sarif_serialization_format> serialization_format,
 		   const sarif_generation_options &sarif_gen_opts,
 		   output_file output_file_)
-  : sarif_sink (context, line_maps,
+  : sarif_sink (dc, line_maps,
 		std::move (serialization_format),
 		sarif_gen_opts),
     m_output_file (std::move (output_file_))
@@ -4136,7 +4136,7 @@ sarif_builder::sarif_token_printer::print_tokens (pretty_printer *pp,
    Return a reference to *FMT.  */
 
 static sink &
-init_sarif_sink (diagnostic_context &context,
+init_sarif_sink (context &dc,
 		 std::unique_ptr<sarif_sink> fmt)
 {
   gcc_assert (fmt);
@@ -4144,16 +4144,16 @@ init_sarif_sink (diagnostic_context &context,
 
   fmt->update_printer ();
 
-  context.set_sink (std::move (fmt));
+  dc.set_sink (std::move (fmt));
 
   return out;
 }
 
-/* Populate CONTEXT in preparation for SARIF output to stderr.
+/* Populate DC in preparation for SARIF output to stderr.
    Return a reference to the new sink.  */
 
 sink &
-init_sarif_stderr (diagnostic_context &context,
+init_sarif_stderr (context &dc,
 		   const line_maps *line_maps,
 		   bool formatted)
 {
@@ -4162,8 +4162,8 @@ init_sarif_stderr (diagnostic_context &context,
   auto serialization
     = std::make_unique<sarif_serialization_format_json> (formatted);
   return init_sarif_sink
-    (context,
-     std::make_unique<sarif_stream_sink> (context,
+    (dc,
+     std::make_unique<sarif_stream_sink> (dc,
 					  line_maps,
 					  std::move (serialization),
 					  sarif_gen_opts,
@@ -4172,11 +4172,11 @@ init_sarif_stderr (diagnostic_context &context,
 
 /* Attempt to open "BASE_FILE_NAME""EXTENSION" for writing.
    Return a non-null output_file,
-   or return a null output_file and complain to CONTEXT
+   or return a null output_file and complain to DC
    using LINE_MAPS.  */
 
 output_file
-output_file::try_to_open (diagnostic_context &context,
+output_file::try_to_open (context &dc,
 			  line_maps *line_maps,
 			  const char *base_file_name,
 			  const char *extension,
@@ -4188,7 +4188,7 @@ output_file::try_to_open (diagnostic_context &context,
   if (!base_file_name)
     {
       rich_location richloc (line_maps, UNKNOWN_LOCATION);
-      context.emit_diagnostic_with_group
+      dc.emit_diagnostic_with_group
 	(DK_ERROR, richloc, nullptr, 0,
 	 "unable to determine filename for SARIF output");
       return output_file ();
@@ -4201,7 +4201,7 @@ output_file::try_to_open (diagnostic_context &context,
   if (!outf)
     {
       rich_location richloc (line_maps, UNKNOWN_LOCATION);
-      context.emit_diagnostic_with_group
+      dc.emit_diagnostic_with_group
 	(DK_ERROR, richloc, nullptr, 0,
 	 "unable to open %qs for diagnostic output: %m",
 	 filename.get ());
@@ -4212,11 +4212,11 @@ output_file::try_to_open (diagnostic_context &context,
 
 /* Attempt to open BASE_FILE_NAME.sarif for writing JSON.
    Return a non-null output_file,
-   or return a null output_file and complain to CONTEXT
+   or return a null output_file and complain to DC
    using LINE_MAPS.  */
 
 output_file
-open_sarif_output_file (diagnostic_context &context,
+open_sarif_output_file (context &dc,
 			line_maps *line_maps,
 			const char *base_file_name,
 			enum sarif_serialization_kind serialization_kind)
@@ -4233,19 +4233,19 @@ open_sarif_output_file (diagnostic_context &context,
       break;
     }
 
-  return output_file::try_to_open (context,
+  return output_file::try_to_open (dc,
 				   line_maps,
 				   base_file_name,
 				   suffix,
 				   is_binary);
 }
 
-/* Populate CONTEXT in preparation for SARIF output to a file named
+/* Populate DC in preparation for SARIF output to a file named
    BASE_FILE_NAME.sarif.
    Return a reference to the new sink.  */
 
 sink &
-init_sarif_file (diagnostic_context &context,
+init_sarif_file (context &dc,
 		 line_maps *line_maps,
 		 bool formatted,
 		 const char *base_file_name)
@@ -4253,7 +4253,7 @@ init_sarif_file (diagnostic_context &context,
   gcc_assert (line_maps);
 
   output_file output_file_
-    = open_sarif_output_file (context,
+    = open_sarif_output_file (dc,
 			      line_maps,
 			      base_file_name,
 			      sarif_serialization_kind::json);
@@ -4262,19 +4262,19 @@ init_sarif_file (diagnostic_context &context,
 
   const sarif_generation_options sarif_gen_opts;
   return init_sarif_sink
-    (context,
-     std::make_unique<sarif_file_sink> (context,
+    (dc,
+     std::make_unique<sarif_file_sink> (dc,
 					line_maps,
 					std::move (serialization),
 					sarif_gen_opts,
 					std::move (output_file_)));
 }
 
-/* Populate CONTEXT in preparation for SARIF output to STREAM.
+/* Populate DC in preparation for SARIF output to STREAM.
    Return a reference to the new sink.  */
 
 sink &
-init_sarif_stream (diagnostic_context &context,
+init_sarif_stream (context &dc,
 		   const line_maps *line_maps,
 		   bool formatted,
 		   FILE *stream)
@@ -4284,8 +4284,8 @@ init_sarif_stream (diagnostic_context &context,
   auto serialization
     = std::make_unique<sarif_serialization_format_json> (formatted);
   return init_sarif_sink
-    (context,
-     std::make_unique<sarif_stream_sink> (context,
+    (dc,
+     std::make_unique<sarif_stream_sink> (dc,
 					  line_maps,
 					  std::move (serialization),
 					  sarif_gen_opts,
@@ -4293,14 +4293,14 @@ init_sarif_stream (diagnostic_context &context,
 }
 
 std::unique_ptr<sink>
-make_sarif_sink (diagnostic_context &context,
+make_sarif_sink (context &dc,
 		 const line_maps &line_maps,
 		 std::unique_ptr<sarif_serialization_format> serialization,
 		 const sarif_generation_options &sarif_gen_opts,
 		 output_file output_file_)
 {
   auto sink
-    = std::make_unique<sarif_file_sink> (context,
+    = std::make_unique<sarif_file_sink> (dc,
 					 &line_maps,
 					 std::move (serialization),
 					 sarif_gen_opts,
@@ -4426,11 +4426,11 @@ private:
   class buffered_sink : public sarif_sink
   {
   public:
-    buffered_sink (diagnostic_context &context,
+    buffered_sink (context &dc,
 		   const line_maps *line_maps,
 		   bool formatted,
 		   const sarif_generation_options &sarif_gen_opts)
-    : sarif_sink (context, line_maps,
+    : sarif_sink (dc, line_maps,
 		  std::make_unique<sarif_serialization_format_json> (formatted),
 		  sarif_gen_opts)
     {
@@ -4575,7 +4575,7 @@ test_make_location_object (const sarif_generation_options &sarif_gen_opts,
 }
 
 /* Test of reporting a diagnostic at UNKNOWN_LOCATION to a
-   diagnostic_context and examining the generated sarif_log.
+   diagnostics::context and examining the generated sarif_log.
    Verify various basic properties. */
 
 static void
diff --git a/gcc/diagnostics/sarif-sink.h b/gcc/diagnostics/sarif-sink.h
index f4eda7b5fbfa..9f8a73fd2849 100644
--- a/gcc/diagnostics/sarif-sink.h
+++ b/gcc/diagnostics/sarif-sink.h
@@ -43,23 +43,23 @@ enum class sarif_serialization_kind
    num_values
 };
 
-extern diagnostics::output_file
-open_sarif_output_file (diagnostic_context &context,
+extern output_file
+open_sarif_output_file (context &dc,
 			line_maps *line_maps,
 			const char *base_file_name,
 			enum sarif_serialization_kind serialization_kind);
 
 extern sink &
-init_sarif_stderr (diagnostic_context &context,
+init_sarif_stderr (context &dc,
 		   const line_maps *line_maps,
 		   bool formatted);
 extern sink &
-init_sarif_file (diagnostic_context &context,
+init_sarif_file (context &dc,
 		 line_maps *line_maps,
 		 bool formatted,
 		 const char *base_file_name);
 extern sink &
-init_sarif_stream (diagnostic_context &context,
+init_sarif_stream (context &dc,
 		   const line_maps *line_maps,
 		   bool formatted,
 		   FILE *stream);
@@ -113,11 +113,11 @@ struct sarif_generation_options
 };
 
 extern std::unique_ptr<sink>
-make_sarif_sink (diagnostic_context &context,
+make_sarif_sink (context &dc,
 		 const line_maps &line_maps,
 		 std::unique_ptr<sarif_serialization_format> serialization_format,
 		 const sarif_generation_options &sarif_gen_opts,
-		 diagnostics::output_file output_file_);
+		 output_file output_file_);
 
 class sarif_builder;
 class sarif_location_manager;
@@ -130,11 +130,11 @@ class sarif_property_bag : public json::object
 public:
   void set_logical_location (const char *property_name,
 			     sarif_builder &,
-			     diagnostics::logical_locations::key logical_loc);
+			     logical_locations::key logical_loc);
   void set_graph (const char *property_name,
 		  sarif_builder &,
 		  sarif_location_manager *sarif_location_mgr,
-		  const diagnostics::digraphs::digraph &g);
+		  const digraphs::digraph &g);
 };
 
 /* Concrete subclass of json::object for SARIF objects that can
